Bug 1351366 - RFE: Packages with debug symbols are not included in the product ISO images
Summary: RFE: Packages with debug symbols are not included in the product ISO images
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 2.0
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 2.3
Assignee: Ken Dreyer (Red Hat)
QA Contact: vidushi
Erin Donnelly
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1437916
TreeView+ depends on / blocked
 
Reported: 2016-06-29 22:00 UTC by Kyle Bader
Modified: 2017-06-19 13:26 UTC (History)
9 users (show)

(edit)
.Red Hat Ceph Storage now ships with a companion ISO that contains the debuginfo packages

Previously, it was difficult for users to consume the `debuginfo` packages in restricted environments where the Red Hat CDN was not directly accessible. Red Hat Ceph Storage now ships with a companion ISO for Red Hat Enterprise Linux that contains the `debuginfo` packages for the product. User can now use this ISO to obtain the `debuginfo` packages.
Clone Of:
(edit)
Last Closed: 2017-06-19 13:26:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC

Description Kyle Bader 2016-06-29 22:00:38 UTC
Description of problem:

Packages with debug symbols are not included in the product ISO images. This has always been the case. This makes it impossible to use tools like perf to characterize what functions can be attributed to CPU load.

Version-Release number of selected component (if applicable):

1.3.1
1.3.2
2.0

Expected results:

The ability to use perf and see which parts of the Ceph code base use the most CPU time.

Comment 2 Ken Dreyer (Red Hat) 2016-06-30 01:46:00 UTC
Do you need this for RHEL, Ubuntu, or both?

Comment 3 Ken Dreyer (Red Hat) 2016-06-30 17:29:19 UTC
Need more information, re-targeting to RHCS 2.1

Comment 4 Kyle Bader 2016-07-01 16:52:31 UTC
My primary pain point is lack of symbols on RHEL, but I could see it being useful for Ubuntu customers as well.

Comment 5 Ken Dreyer (Red Hat) 2016-07-01 18:06:50 UTC
Let's hear from Product Management

Comment 22 errata-xmlrpc 2017-06-19 13:26:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.